Webhook Subscriptions
Update a webhook subscription
PATCH
/webhook_subscriptions/{id}
package main
import ( "fmt" "strings" "net/http" "io")
func main() {
url := "https://api.kirim.chat/v1/webhook_subscriptions/example"
payload := strings.NewReader("{ \"url\": \"https://example.com\", \"description\": \"example\", \"events\": [ \"message.received\" ], \"status\": \"active\" }")
req, _ := http.NewRequest("PATCH", url, payload)
req.Header.Add("Authorization", "Bearer <token>") req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close() body, _ := io.ReadAll(res.Body)
fmt.Println(res) fmt.Println(string(body))
}const url = 'https://api.kirim.chat/v1/webhook_subscriptions/example';const options = { method: 'PATCH', headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'}, body: '{"url":"https://example.com","description":"example","events":["message.received"],"status":"active"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}use std::str::FromStr;use serde_json::json;use reqwest;
#[tokio::main]pub async fn main() { let url = "https://api.kirim.chat/v1/webhook_subscriptions/example";
let payload = json!({ "url": "https://example.com", "description": "example", "events": ("message.received"), "status": "active" });
let mut headers = reqwest::header::HeaderMap::new(); headers.insert("Authorization", "Bearer <token>".parse().unwrap()); headers.insert("Content-Type", "application/json".parse().unwrap());
let client = reqwest::Client::new(); let response = client.request(reqwest::Method::from_str("PATCH").unwrap(), url) .headers(headers) .json(&payload) .send() .await;
let results = response.unwrap() .json::<serde_json::Value>() .await .unwrap();
dbg!(results);}curl --request PATCH \ --url https://api.kirim.chat/v1/webhook_subscriptions/example \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data '{ "url": "https://example.com", "description": "example", "events": [ "message.received" ], "status": "active" }'Toggle status (active/paused), update URL/events/description.
Authorizations
Section titled “Authorizations ”Parameters
Section titled “ Parameters ”Path Parameters
Section titled “Path Parameters ” id
required
string
Request Body
Section titled “Request Body ” Media type application/json
object
url
string format: uri
description
string | null
events
Array<string>
status
string
Responses
Section titled “ Responses ”Updated subscription
Media type application/json
object
data
required
object
id
required
string
object
required
string
url
required
string format: uri
description
required
string | null
events
required
Array<string>
status
required
string
disabled_reason
required
string | null
consecutive_failures
required
integer
secrets
required
Array<object>
object
id
required
string
created_at
required
string format: date-time
expires_at
required
string | null format: date-time
created_at
required
string format: date-time
updated_at
required
string format: date-time
initial_secret
string
request_id
required
string
Example
{ "data": { "id": "wbs_01HXYZABCDEFGHJKMNPQRSTVWX", "object": "webhook_subscription", "status": "active", "secrets": [ { "id": "sec_01HXYZABCDEFGHJKMNPQRSTVWX" } ] }}Validation failure
Media type application/json
object
error
required
object
type
required
string
code
required
string
message
required
string
param
string
request_id
required
string
Example
{ "error": { "type": "invalid_request_error", "code": "invalid_phone_number", "request_id": "req_01HXYZABCDEFGHJKMNPQRSTVWX" }}Authentication failure
Media type application/json
object
error
required
object
type
required
string
code
required
string
message
required
string
param
string
request_id
required
string
Example
{ "error": { "type": "invalid_request_error", "code": "invalid_phone_number", "request_id": "req_01HXYZABCDEFGHJKMNPQRSTVWX" }}Resource not found
Media type application/json
object
error
required
object
type
required
string
code
required
string
message
required
string
param
string
request_id
required
string
Example
{ "error": { "type": "invalid_request_error", "code": "invalid_phone_number", "request_id": "req_01HXYZABCDEFGHJKMNPQRSTVWX" }}Rate limit exceeded
Media type application/json
object
error
required
object
type
required
string
code
required
string
message
required
string
param
string
request_id
required
string
Example
{ "error": { "type": "invalid_request_error", "code": "invalid_phone_number", "request_id": "req_01HXYZABCDEFGHJKMNPQRSTVWX" }}Internal server error
Media type application/json
object
error
required
object
type
required
string
code
required
string
message
required
string
param
string
request_id
required
string
Example
{ "error": { "type": "invalid_request_error", "code": "invalid_phone_number", "request_id": "req_01HXYZABCDEFGHJKMNPQRSTVWX" }}